## rsyslog 8.2510.0

=== doc/Makefile ===
# Makefile for rsyslog-doc
#
# You can set these variables from the command line.
SPHINXOPTS ?=
SPHINXBUILD ?= sphinx-build
SOURCEDIR = source
BUILDDIR = build

.PHONY: help clean html singlehtml json alljson

help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -rf "$(BUILDDIR)"

html:
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

singlehtml:  # -t minimal_build triggers stripped-down config in conf.py
	@$(SPHINXBUILD) -M singlehtml "$(SOURCEDIR)" "$(BUILDDIR)" -t minimal_build $(SPHINXOPTS) -D rst_epilog='' $(O)
	@echo
	@echo "Build finished. The minimal single page HTML is in $(BUILDDIR)/singlehtml."

json:
	@$(SPHINXBUILD) -b json "$(SOURCEDIR)" "$(BUILDDIR)/json" $(SPHINXOPTS) $(O)

alljson: json
	@$(SPHINXBUILD) -b json "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

%:
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/requirements.txt ===

# Align with conf.py needs_sphinx requirement
sphinx>=4.5.0
furo
sphinxcontrib.mermaid

=== debian/changelog ===
rsyslog (8.2510.0-2) unstable; urgency=medium

  * Cherry-pick various documentation build fixes from upstream Git.
    Vendor the JavaScript dependencies for better offline usage.
  * (Re-)add doc-base support for rsyslog-doc
  * Add lintian-overrides for no-debconf-templates to rsyslog-mysql and
    rsyslog-pgsql.
    Those packages use the dbconfig-common framework which provides the
    debconf templates for setting up a database connection.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Oct 2025 22:22:23 +0200

rsyslog (8.2510.0-1) unstable; urgency=medium

  * New upstream version 8.2510.0
  * Rebase patches
  * Install new mmleefparse module.
    This module can be used to parse log messages that follow the IBM Log
    Event Extended Format (LEEF).
  * Update debian/copyright
  * Build rsyslog documentation and ship it in rsyslog-doc.
    It superseedes the standalone rsyslog-doc source package.
    Deviate from upstream and explicitly use sphinx_rtd_theme instead of the
    furo theme (smaller on-disk footprint of the resulting documentation,
    much faster build times).

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Oct 2025 18:35:28 +0200

=== debian/control ===
Source: rsyslog
Section: admin
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               autoconf-archive,
               zlib1g-dev,
               libzstd-dev (>= 1.4.0),
               libhiredis-dev,
               libevent-dev,
               default-libmysqlclient-dev,
               libpq-dev,
               libmongoc-dev,
               libcurl4-openssl-dev,
               librdkafka-dev (>= 0.9.1),
               libkrb5-dev,
               libgnutls28-dev,
               libssl-dev,
               librelp-dev (>= 1.4.0),
               libestr-dev (>= 0.1.9),
               liblognorm-dev (>= 2.0.3),
               libfastjson-dev (>= 0.99.8),
               libczmq-dev (>= 3.0.2),
               libsnmp-dev,
               uuid-dev,
               libsystemd-dev (>= 209) [linux-any],
               pkgconf,
               bison,
               flex,
               procps <!nocheck>,
               python3 <!nocheck>,
               libfaketime <!nocheck>,
               lsof [linux-any] <!nocheck>,
               logrotate <!nocheck>,
               iproute2 [linux-any] <!nocheck>,
               curl <!nocheck>,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib-mermaid <!nodoc>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
Vcs-Browser: https://salsa.debian.org/debian/rsyslog
Homepage: https://www.rsyslog.com/

Package: rsyslog
Architecture: any
Conflicts: system-log-daemon,
           linux-kernel-log-daemon
Provides: system-log-daemon,
          linux-kernel-log-daemon
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: logrotate
Suggests: rsyslog-doc,
          rsyslog-mysql,
          rsyslog-pgsql,
          rsyslog-mongodb,
          rsyslog-elasticsearch,
          rsyslog-kafka,
          rsyslog-hiredis,
          rsyslog-snmp,
          rsyslog-kubernetes,
          rsyslog-docker,
          rsyslog-clickhouse,
          rsyslog-openssl | rsyslog-gnutls,
          rsyslog-gssapi,
          rsyslog-relp
Description: reliable system and kernel logging daemon
 Rsyslog is a multi-threaded implementation of syslogd (a system utility
 providing support for message logging), with features that include:
  * reliable syslog over TCP, SSL/TLS and RELP
  * on-demand disk buffering
  * email alerting
  * writing to MySQL or PostgreSQL databases (via separate output plugins)
  * permitted sender lists
  * filtering on any part of the syslog message
  * on-the-wire message compression
  * fine-grained output format control
  * failover to backup destinations
  * enterprise-class encrypted syslog relaying
 .
 It is the default syslogd on Debian systems.

Package: rsyslog-mysql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-mysql | dbconfig-no-thanks,
         ucf
Recommends: default-mysql-client | virtual-mysql-client
Suggests: default-mysql-server | virtual-mysql-server
Description: MySQL output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages into a MySQL database.

Package: rsyslog-pgsql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-pgsql | dbconfig-no-thanks,
         ucf
Recommends: postgresql-client
Suggests: postgresql
Description: PostgreSQL output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages into a PostgreSQL
 database.

Package: rsyslog-mongodb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: MongoDB output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to MongoDB, a
 scalable, high-performance, open source NoSQL database.

Package: rsyslog-elasticsearch
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: Elasticsearch output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to Elasticsearch, a
 distributed, multitenant-capable full-text search engine with a RESTful web
 interface and schema-free JSON documents.

Package: rsyslog-kafka
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: Apache Kafka support for rsyslog
 These plugins allow rsyslog to send and receive syslog messages via Apache
 Kafka, a distributed and scalable message broker offering strong durability
 and fault-tolerance guarantees.

Package: rsyslog-gssapi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: krb5-user
Description: GSSAPI authentication and encryption support for rsyslog
 These plugins allow rsyslog to write and/or receive GSSAPI authenticated and
 encrypted syslog messages. GSSAPI is commonly used for Kerberos
 authentication.

Package: rsyslog-gnutls
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: gnutls-bin
Description: TLS protocol support for rsyslog (GnuTLS)
 This netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the syslog-transport-tls IETF standard protocol using GnuTLS.

Package: rsyslog-openssl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: TLS/DTLS protocol support for rsyslog (OpenSSL)
 The netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the syslog-transport-tls IETF standard protocol using TLS.
 .
 The DTLS plugins allow rsyslog to send and receive syslog messages via UDP
 using the DTLS protocol. This enables secure message exchange as specified in
 RFC 6012.

Package: rsyslog-relp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: RELP protocol support for rsyslog
 These plugins allow rsyslog to send and receive syslog messages via the
 RELP protocol. RELP ensures reliable transport over the network even on
 connection loss or if a peer becomes unavailable.

Package: rsyslog-czmq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: ZeroMQ protocol support for rsyslog via CZMQ
 These plugins allow rsyslog to send and receive ZeroMQ syslog
 messages via the CZMQ library.

Package: rsyslog-hiredis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: Redis support for rsyslog
 These plugins allow rsyslog to write syslog messages to Redis and read entries
 from it. Redis is a key-value database with optional persistency.

Package: rsyslog-snmp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: SNMP protocol support for rsyslog
 This plugin allows rsyslog to send syslog messages via SNMPv1 and SNMPv2c
 traps. By default, SNMPv2c is preferred.

Package: rsyslog-kubernetes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: Kubernetes metadata support for rsyslog
 These plugins allow rsyslog to augment syslog messages with Kubernetes
 metadata.

Package: rsyslog-docker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Suggests: docker.io
Description: Docker input plugin for rsyslog
 This plugin allows rsyslog to receive container logs from Docker (engine) via
 the Docker Rest API.

Package: rsyslog-clickhouse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: ClickHouse output plugin for rsyslog
 This plugin provides native support for logging to ClickHouse.
 ClickHouse is a column-oriented DBMS (columnar database management system) for
 online analytical processing (OLAP) that allows users to generate analytical
 reports using SQL queries in real-time.

Package: rsyslog-doc
Section: doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: doc-base,
          www-browser
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for rsyslog
 This package contains detailed HTML documentation for rsyslog.
 .
 It describes the general configuration file syntax for filters, actions,
 templates, etc, and has detailed information for all available configuration
 directives.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DPATH_PIDFILE=\"/run/rsyslogd.pid\"

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS), linux)
confflags += 	--enable-imptcp \
		--enable-imjournal \
		--enable-omjournal \
		--enable-kmsg
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--enable-mysql \
		--enable-pgsql \
		--enable-ommongodb \
		--enable-elasticsearch \
		--enable-clickhouse \
		--enable-imkafka \
		--enable-omkafka \
		--enable-mail \
		--enable-imfile \
		--enable-imfile-tests \
		--enable-impstats \
		--enable-klog \
		--enable-gssapi-krb5 \
		--enable-gnutls \
		--enable-openssl \
		--enable-relp \
		--enable-snmp \
		--enable-pmaixforwardedfrom \
		--enable-pmciscoios \
		--enable-pmcisconames \
		--enable-pmlastmsg \
		--enable-pmnormalize \
		--enable-pmsnare \
		--enable-omstdout \
		--enable-omprog \
		--enable-omuxsock \
		--enable-mmanon \
		--enable-mmnormalize \
		--enable-mmjsonparse \
		--enable-mmutf8fix \
		--enable-mmpstrucdata \
		--enable-mmsequence \
		--enable-mmfields \
		--enable-mmrm1stspace \
		--enable-mmkubernetes \
		--enable-imdocker \
		--enable-imczmq \
		--enable-omczmq \
		--enable-imhiredis \
		--enable-omhiredis \
		--enable-imdtls \
		--enable-omdtls \
		--enable-fmhash \
		--enable-testbench \
		--enable-extended-tests \
		--enable-imdiag \
		--enable-libzstd \
		--disable-libgcrypt \
		--disable-generate-man-pages \
		--disable-fmhttp \
		--disable-liblogging-stdlog \
		--without-valgrind-testbench

override_dh_auto_build-indep:
	rm -f doc/source/concepts/log_pipeline.rst
	sphinx-build -b html -D html_theme=sphinx_rtd_theme doc/source/ debian/build/
	python3 doc/tools/fix-mermaid-offline.py debian/build/

override_dh_auto_install-indep:

execute_after_dh_auto_install-arch:
	install --mode=644 -D plugins/ommysql/createDB.sql \
		debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
	install --mode=644 -D plugins/ompgsql/createDB.sql \
		debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql

execute_before_dh_install-arch:
	find debian/tmp -name '*.la' -print -delete

override_dh_auto_test-indep:

override_dh_auto_test-arch:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:/usr/sbin dh_auto_test || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
endif

=== debian/tests/control ===
Tests: logcheck
Depends: rsyslog, logcheck, coreutils
Restrictions: needs-root, breaks-testbed

## rsyslog 8.2512.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 sphinx>=4.5.0
 furo
 sphinxcontrib.mermaid
+sphinx-sitemap

=== debian/changelog ===
rsyslog (8.2512.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/8.2512.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 08 Jan 2026 08:14:04 +0000

rsyslog (8.2512.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3.
    Drop Priority and Rules-Requires-Root field.
  * Add explicit Build-Depends on openssl.
    It is required by the test suite, so mark it as <!nocheck>.
    (Closes: #1124951)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jan 2026 20:32:16 +0100

rsyslog (8.2512.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2512.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 24 Dec 2025 07:18:38 +0000

rsyslog (8.2512.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Demote documentation dependencies to B-D-I.
    Add an explicit Build-Depends on python3-docutils for generating the man
    pages. (Closes: #1123696)

  [ Josselin Mouette ]
  * Enable HTTP output plugin and ship it as rsyslog-http (Closes: #1121114)

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Dec 2025 23:31:28 +0100

rsyslog (8.2512.0-1devuan2) unstable; urgency=medium

  * Add temporary patch to work around Debian #1114612.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 12 Dec 2025 16:53:42 +0000

rsyslog (8.2512.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2512.0-1.
  * d/control: remove redundant Depends: lsb-base.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 12 Dec 2025 07:12:33 +0000

rsyslog (8.2512.0-1) unstable; urgency=medium

  * New upstream version 8.2512.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Dec 2025 18:21:10 +0100

rsyslog (8.2510.0-5devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-5.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 23 Nov 2025 21:57:51 +0000

rsyslog (8.2510.0-5) unstable; urgency=medium

  * Increase timeout of reprotest to 3h for salsa-ci
  * Skip imfile-logrotate-async.sh.
    This test appears to be flaky and fails rather often on
    reproducible-builds.org.
    See https://github.com/rsyslog/rsyslog/issues/6293

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Nov 2025 14:04:37 +0100

rsyslog (8.2510.0-4devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-4.

 -- Mark Hindley <leepen@debian.org>  Wed, 19 Nov 2025 21:38:32 +0000

rsyslog (8.2510.0-4) unstable; urgency=medium

  * Skip tests based on omfwd-lb-1target-retry-test_skeleton.sh and
    omfwd-lb-1target-retry-test_skeleton-TargetFail.sh.
    Those tests appear to be flaky and fail rather often on
    reproducible-builds.org, especially on arm64.
    See https://github.com/rsyslog/rsyslog/issues/6308 (Closes: #1094069)

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Nov 2025 20:56:34 +0100

rsyslog (8.2510.0-3) unstable; urgency=medium

  * Run dh_auto_test with --no-parallel.
    If there is a segfault in one of the tests, the core file detection
    might attribute the core file to the wrong test. This can lead to
    unreliable results.
    See https://github.com/rsyslog/rsyslog/issues/6268
  * Skip potentially buggy imrelp-tls-cfgcmd.sh.
    This test triggers a segfault in tcpflood/librelp, so the root cause
    might be elsewhere. While this is being investigated, skip the test for
    now. (Closes: #1100103)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Nov 2025 21:34:52 +0100

rsyslog (8.2510.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 25 Oct 2025 07:14:30 +0100

rsyslog (8.2510.0-1devuan2) unstable; urgency=medium

  * d/control: remove rsyslog-doc Built-Using.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Oct 2025 07:43:35 +0100

rsyslog (8.2510.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Oct 2025 06:40:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: rsyslog
 Section: admin
-Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark Hindley <mark@hindley.org.uk>,
+	Ivan J. <parazyd@dyne.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                autoconf-archive,
@@ -24,7 +26,6 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkgconf,
                bison,
                flex,
@@ -35,14 +36,16 @@
                logrotate <!nocheck>,
                iproute2 [linux-any] <!nocheck>,
                curl <!nocheck>,
-               dh-sequence-sphinxdoc <!nodoc>,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               python3-sphinxcontrib-mermaid <!nodoc>,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
-Vcs-Browser: https://salsa.debian.org/debian/rsyslog
+               openssl <!nocheck>,
+               python3-docutils <!nodoc>,
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     python3-sphinx <!nodoc>,
+                     python3-sphinx-rtd-theme <!nodoc>,
+                     python3-sphinxcontrib-mermaid <!nodoc>,
+Standards-Version: 4.7.3
+Vcs-Git: https://git.devuan.org/devuan/rsyslog.git
+Vcs-Browser: https://git.devuan.org/devuan/rsyslog.git
+Origin: Devuan
 Homepage: https://www.rsyslog.com/
 
 Package: rsyslog
@@ -240,10 +243,18 @@
  online analytical processing (OLAP) that allows users to generate analytical
  reports using SQL queries in real-time.
 
+Package: rsyslog-http
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Description: Generic HTTP output plugin for rsyslog
+ This plugin allows rsyslog to send syslog messages encoded in JSON over
+ HTTP REST APIs, including Grafana Loki.
+
 Package: rsyslog-doc
 Section: doc
 Architecture: all
-Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: doc-base,

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,9 @@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--enable-imjournal \
-		--enable-omjournal \
+		--disable-imjournal \
+		--disable-omjournal \
+		--disable-libsystemd \
 		--enable-kmsg
 endif
 
@@ -41,6 +42,7 @@
 		--enable-pmlastmsg \
 		--enable-pmnormalize \
 		--enable-pmsnare \
+		--enable-omhttp \
 		--enable-omstdout \
 		--enable-omprog \
 		--enable-omuxsock \
@@ -62,7 +64,6 @@
 		--enable-omdtls \
 		--enable-fmhash \
 		--enable-testbench \
-		--enable-extended-tests \
 		--enable-imdiag \
 		--enable-libzstd \
 		--disable-libgcrypt \
@@ -91,5 +92,5 @@
 
 override_dh_auto_test-arch:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	PATH=$$PATH:/usr/sbin dh_auto_test || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
+	PATH=$$PATH:/usr/sbin dh_auto_test --no-parallel || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
 endif
